<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Strategy Home</title>
    <link rel="stylesheet" href="/webjars/bootstrap/4.4.1/css/bootstrap.min.css">
</head>
<body>
<h3 class="h3 d-flex justify-content-center">Weapon List</h3>
<div class="card-deck">
    <div class="card d-flex text-center" style="width: 18rem; margin: 0 auto 10px;"
         th:each="weapon: ${weapons}">
        <div class="card-body">
            <b><p th:text="${weapon.getName()}" class="align-content-center"></p></b>
            <b><p th:text="${weapon.getDescription()}" class="align-content-center"></p></b>
            <p th:text="'Weapon value: ' + ${weapon.getWeaponValue()}" class="align-content-center">
            <h3 th:text="${message}" class="h3 d-flex justify-content-center"></h3>
        </div>
    </div>
</div>

<div class="card-deck">
    <div class="card-body">
        <form class="form-group"
              th:action="@{enhance}"
              method="POST">
            <br>
            <div style="text-align:center">
                <button class="btn btn-sm btn-primary" type="submit">Enhance</button>
            </div>
        </form>
    </div>
</div>
</div>


<script src="/webjars/jquery/3.4.1/jquery.min.js"></script>
<script src="/webjars/popper.js/1.16.0/popper.min.js"></script>
<script src="/webjars/bootstrap/4.4.1/js/bootstrap.min.js"></script>
</body>
</html>